Name:           python36-boto3
Version:        1.9.200
Release:        1%{?dist}
Url:            https://github.com/boto/boto3
Summary:        The AWS SDK for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/b/boto3/boto3-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python36-devel
BuildRequires:  python36-setuptools
Requires:	python36
Requires:	python36-botocore

%description
Boto3 is the Amazon Web Services (AWS) Software Development Kit (SDK) for
Python, which allows Python developers to write software that makes use
of services like Amazon S3 and Amazon EC2.

https://github.com/boto/boto3
https://pypi.org/project/boto3/#files

%prep
%setup -q -n boto3-%{version}

%build
python3.6 setup.py build

%install
python3.6 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Fri Aug 2 2019 John Simpson <jms1@voalte.com> - 1.9.200-1
- updated to boto3 1.9.200
- updated for python 3.6
